#!/bin/sh
# This script creates symbolic links for the ODPP, XML4C and ICU libraries used by ODPP
# Usage: 
# sh createODPPsymboliclinks.sh <path>
# <path> - This is the path to the folder containing the ODPP binaries.
#
# On SUN run the script as follows: 
# /usr/xpg4/bin/sh createODPPsymboliclinks.sh <path>
#

fullversion=9.1.0.6
majorver=9.1
if [ "$1" = "" ]
then
   echo "The first argument to the script must be the folder containing the ODPP binaries."
   exit 1
fi
platform=`uname -s`
platform_version=`uname -m`

if [ "$platform" = "HP-UX" ]
then
   echo "Platform = $platform"
   echo "Version = $platform_version"
   echo "Target Directory = $1"
else
   echo "Platform = $platform"
   echo "Target Directory = $1"
fi
soname="so"
if [ "$platform" = "HP-UX" ]
then
   if [ "$platform_version" = "ia64" ]   
   then
      soname="so"
   else
      soname="sl"
   fi
fi   
#We will always remove the symbolic link if it exists
#options=$2
options=clean      
if [ "$options" = "clean" ]   
then
   echo "Deleting symbolic links and duplicates for the ODPP libraries"   
   if [ "$platform" = "AIX" ]
   then
      if [[ -L $1/libODPProvider.$majorver.a || -e $1/libODPProvider.$majorver.a ]]; then rm $1/libODPProvider.$majorver.a; fi 
      if [[ -L $1/libODPPOSLibUnix.a || -e $1/libODPPOSLibUnix.a ]]; then rm $1/libODPPOSLibUnix.a; fi 
      if [[ -L $1/libODPPOSLibUnix.$majorver.a || -e $1/libODPPOSLibUnix.$majorver.a ]]; then rm $1/libODPPOSLibUnix.$majorver.a; fi 
      if [[ -L $1/libODPPEnvLib.a || -e $1/libODPPEnvLib.a ]]; then rm $1/libODPPEnvLib.a; fi 
      if [[ -L $1/libODPPEnvLib.$majorver.a || -e $1/libODPPEnvLib.$majorver.a ]]; then rm $1/libODPPEnvLib.$majorver.a; fi 
      if [[ -L $1/libODPPICULib.a || -e $1/libODPPICULib.a ]]; then rm $1/libODPPICULib.a; fi 
      if [[ -L $1/libODPPICULib.$majorver.a || -e $1/libODPPICULib.$majorver.a ]]; then rm $1/libODPPICULib.$majorver.a; fi 
      if [[ -L $1/libODPPDataCnvLib.a || -e $1/libODPPDataCnvLib.a ]]; then rm $1/libODPPDataCnvLib.a; fi 
      if [[ -L $1/libODPPDataCnvLib.$majorver.a || -e $1/libODPPDataCnvLib.$majorver.a ]]; then rm $1/libODPPDataCnvLib.$majorver.a; fi 
      if [[ -L $1/libODPPTraceLib.a || -e $1/libODPPTraceLib.a ]]; then rm $1/libODPPTraceLib.a; fi 
      if [[ -L $1/libODPPTraceLib.$majorver.a || -e $1/libODPPTraceLib.$majorver.a ]]; then rm $1/libODPPTraceLib.$majorver.a; fi 
      if [[ -L $1/libODPPXMLReaderLib.a || -e $1/libODPPXMLReaderLib.a ]]; then rm $1/libODPPXMLReaderLib.a; fi 
      if [[ -L $1/libODPPXMLReaderLib.$majorver.a || -e $1/libODPPXMLReaderLib.$majorver.a ]]; then rm $1/libODPPXMLReaderLib.$majorver.a; fi   
      if [[ -L $1/libODPPLicl.a || -e $1/libODPPLicl.a ]]; then rm $1/libODPPLicl.a; fi 
      if [[ -L $1/libODPPLicl.$majorver.a || -e $1/libODPPLicl.$majorver.a ]]; then rm $1/libODPPLicl.$majorver.a; fi 
      if [[ -L $1/libODPCCNPrvLib.a || -e $1/libODPCCNPrvLib.a ]]; then rm $1/libODPCCNPrvLib.a; fi 
      if [[ -L $1/libODPCCNPrvLib.$majorver.a || -e $1/libODPCCNPrvLib.$majorver.a ]]; then rm $1/libODPCCNPrvLib.$majorver.a; fi 
      if [[ -L $1/libODPNIDPrvLib.a || -e $1/libODPNIDPrvLib.a ]]; then rm $1/libODPNIDPrvLib.a; fi 
      if [[ -L $1/libODPNIDPrvLib.$majorver.a || -e $1/libODPNIDPrvLib.$majorver.a ]]; then rm $1/libODPNIDPrvLib.$majorver.a; fi   
      if [[ -L $1/libODPEMLPrvLib.a || -e $1/libODPEMLPrvLib.a ]]; then rm $1/libODPEMLPrvLib.a; fi 
      if [[ -L $1/libODPEMLPrvLib.$majorver.a || -e $1/libODPEMLPrvLib.$majorver.a ]]; then rm $1/libODPEMLPrvLib.$majorver.a; fi 
      if [[ -L $1/libODPCOLPrvLib.a || -e $1/libODPCOLPrvLib.a ]]; then rm $1/libODPCOLPrvLib.a; fi 
      if [[ -L $1/libODPCOLPrvLib.$majorver.a || -e $1/libODPCOLPrvLib.$majorver.a ]]; then rm $1/libODPCOLPrvLib.$majorver.a; fi 
      if [[ -L $1/libODPHASHPrvLib.a || -e $1/libODPHASHPrvLib.a ]]; then rm $1/libODPHASHPrvLib.a; fi 
      if [[ -L $1/libODPHASHPrvLib.$majorver.a || -e $1/libODPHASHPrvLib.$majorver.a ]]; then rm $1/libODPHASHPrvLib.$majorver.a; fi   
      if [[ -L $1/libODPAGEPrvLib.a || -e $1/libODPAGEPrvLib.a ]]; then rm $1/libODPAGEPrvLib.a; fi 
      if [[ -L $1/libODPAGEPrvLib.$majorver.a || -e $1/libODPAGEPrvLib.$majorver.a ]]; then rm $1/libODPAGEPrvLib.$majorver.a; fi 
      if [[ -L $1/libODPPLDSDB2Lib.a || -e $1/libODPPLDSDB2Lib.a ]]; then rm $1/libODPPLDSDB2Lib.a; fi 
      if [[ -L $1/libODPPLDSDB2Lib.$majorver.a || -e $1/libODPPLDSDB2Lib.$majorver.a ]]; then rm $1/libODPPLDSDB2Lib.$majorver.a; fi  
      if [[ -L $1/libODPLKPPrvLib.a || -e $1/libODPLKPPrvLib.a ]]; then rm $1/libODPLKPPrvLib.a; fi 
      if [[ -L $1/libODPLKPPrvLib.$majorver.a || -e $1/libODPLKPPrvLib.$majorver.a ]]; then rm $1/libODPLKPPrvLib.$majorver.a; fi  
      if [[ -L $1/libODPPAdapter.a || -e $1/libODPPAdapter.a ]]; then rm $1/libODPPAdapter.a; fi 
      if [[ -L $1/libODPPAdapter.$majorver.a || -e $1/libODPPAdapter.$majorver.a ]]; then rm $1/libODPPAdapter.$majorver.a; fi  
      if [[ -L $1/libODPPParser.a || -e $1/libODPPParser.a ]]; then rm $1/libODPPParser.a; fi 
      if [[ -L $1/libODPPParser.$majorver.a || -e $1/libODPPParser.$majorver.a ]]; then rm $1/libODPPParser.$majorver.a; fi  
      if [[ -L $1/libODPPErrorHandler.a || -e $1/libODPPErrorHandler.a ]]; then rm $1/libODPPErrorHandler.a; fi 
      if [[ -L $1/libODPPErrorHandler.$majorver.a || -e $1/libODPPErrorHandler.$majorver.a ]]; then rm $1/libODPPErrorHandler.$majorver.a; fi  
      if [[ -L $1/libODPPInstMgr.a || -e $1/libODPPInstMgr.a ]]; then rm $1/libODPPInstMgr.a; fi 
      if [[ -L $1/libODPPInstMgr.$majorver.a || -e $1/libODPPInstMgr.$majorver.a ]]; then rm $1/libODPPInstMgr.$majorver.a; fi
      if [[ -L $1/libODPPConvert.a || -e $1/libODPPConvert.a ]]; then rm $1/libODPPConvert.a; fi 
      if [[ -L $1/libODPPConvert.$majorver.a || -e $1/libODPPConvert.$majorver.a ]]; then rm $1/libODPPConvert.$majorver.a; fi 
      if [[ -L $1/libIOQMODJNI.$majorver.a || -e $1/libIOQMODJNI.$majorver.a ]]; then rm $1/libIOQMODJNI.$majorver.a; fi        
      if [[ -L $1/libODPDSWAPPrvLib.a || -e $1/libODPDSWAPPrvLib.a ]]; then rm $1/libODPDSWAPPrvLib.a; fi 
      if [[ -L $1/libODPDSWAPPrvLib.$majorver.a || -e $1/libODPDSWAPPrvLib.$majorver.a ]]; then rm $1/libODPDSWAPPrvLib.$majorver.a; fi 
      if [[ -L $1/libODPCDSWAPPrvLib.a || -e $1/libODPCDSWAPPrvLib.a ]]; then rm $1/libODPCDSWAPPrvLib.a; fi 
      if [[ -L $1/libODPCDSWAPPrvLib.$majorver.a || -e $1/libODPCDSWAPPrvLib.$majorver.a ]]; then rm $1/libODPCDSWAPPrvLib.$majorver.a; fi 
      if [[ -L $1/libODPDDSWAPPrvLib.a || -e $1/libODPDDSWAPPrvLib.a ]]; then rm $1/libODPDDSWAPPrvLib.a; fi 
      if [[ -L $1/libODPDDSWAPPrvLib.$majorver.a || -e $1/libODPDDSWAPPrvLib.$majorver.a ]]; then rm $1/libODPDDSWAPPrvLib.$majorver.a; fi
	  if [[ -L $1/libODPPORAUdf.a || -e $1/libODPPORAUdf.a ]]; then rm $1/libODPPORAUdf.a; fi 
      if [[ -L $1/libODPPORAUdf.$majorver.a || -e $1/libODPPORAUdf.$majorver.a ]]; then rm $1/libODPPORAUdf.$majorver.a; fi
	  if [[ -L $1/libioqoraudf.a || -e $1/libioqoraudf.a ]]; then rm $1/libODPPORAUdf.a; fi 
      if [[ -L $1/libioqoraudf.$majorver.a || -e $1/libioqoraudf.$majorver.a ]]; then rm $1/libioqoraudf.$majorver.a; fi
	  if [[ -L $1/libioqhash.a || -e $1/libioqhash.a ]]; then rm $1/libioqhash.a; fi 
      if [[ -L $1/libioqhash.$majorver.a || -e $1/libioqhash.$majorver.a ]]; then rm $1/libioqhash.$majorver.a; fi
	  if [[ -L $1/libODPPLoader.a || -e $1/libODPPLoader.a ]]; then rm $1/libODPPLoader.a; fi 
      if [[ -L $1/libODPPLoader.$majorver.a || -e $1/libODPPLoader.$majorver.a ]]; then rm $1/libODPPLoader.$majorver.a; fi
	  if [[ -L $1/libioqldsoralib.a || -e $1/libioqldsoralib.a ]]; then rm $1/libioqldsoralib.a; fi 
      if [[ -L $1/libioqldsoralib.$majorver.a || -e $1/libioqldsoralib.$majorver.a ]]; then rm $1/libioqldsoralib.$majorver.a; fi
   else
      if [[ -L $1/libODPProvider.${soname}.$majorver || -e $1/libODPProvider.${soname}.$majorver ]]; then rm $1/libODPProvider.${soname}.$majorver; fi       
      #sym link for libODPProvider with major ver added for Oracle UDF
      if [[ -L $1/libODPProvider.$majorver.${soname} || -e $1/libODPProvider.$majorver.${soname} ]]; then rm $1/libODPProvider.$majorver.${soname}; fi       
      if [[ -L $1/libODPPLDSDB2Lib.${soname} || -e $1/libODPPLDSDB2Lib.${soname} ]]; then rm $1/libODPPLDSDB2Lib.${soname}; fi       
      if [[ -L $1/libODPPLDSDB2Lib.${soname}.$majorver || -e $1/libODPPLDSDB2Lib.${soname}.$majorver ]]; then rm $1/libODPPLDSDB2Lib.${soname}.$majorver; fi 
      if [[ -L $1/libODPLKPPrvLib.${soname} || -e $1/libODPLKPPrvLib.${soname} ]]; then rm $1/libODPLKPPrvLib.${soname}; fi 
      if [[ -L $1/libODPLKPPrvLib.${soname}.$majorver || -e $1/libODPLKPPrvLib.${soname}.$majorver ]]; then rm $1/libODPLKPPrvLib.${soname}.$majorver; fi       
      if [[ -L $1/libODPAGEPrvLib.${soname} || -e $1/libODPAGEPrvLib.${soname} ]]; then rm $1/libODPAGEPrvLib.${soname}; fi 
      if [[ -L $1/libODPAGEPrvLib.${soname}.$majorver || -e $1/libODPAGEPrvLib.${soname}.$majorver ]]; then rm $1/libODPAGEPrvLib.${soname}.$majorver; fi 
      if [[ -L $1/libODPHASHPrvLib.${soname} || -e $1/libODPHASHPrvLib.${soname} ]]; then rm $1/libODPHASHPrvLib.${soname}; fi       
      if [[ -L $1/libODPHASHPrvLib.${soname}.$majorver || -e $1/libODPHASHPrvLib.${soname}.$majorver ]]; then rm $1/libODPHASHPrvLib.${soname}.$majorver; fi 
      if [[ -L $1/libODPCOLPrvLib.${soname} || -e $1/libODPCOLPrvLib.${soname} ]]; then rm $1/libODPCOLPrvLib.${soname}; fi 
      if [[ -L $1/libODPCOLPrvLib.${soname}.$majorver || -e $1/libODPCOLPrvLib.${soname}.$majorver ]]; then rm $1/libODPCOLPrvLib.${soname}.$majorver; fi       
      if [[ -L $1/libODPEMLPrvLib.${soname} || -e $1/libODPEMLPrvLib.${soname} ]]; then rm $1/libODPEMLPrvLib.${soname}; fi 
      if [[ -L $1/libODPEMLPrvLib.${soname}.$majorver || -e $1/libODPEMLPrvLib.${soname}.$majorver ]]; then rm $1/libODPEMLPrvLib.${soname}.$majorver; fi 
      if [[ -L $1/libODPNIDPrvLib.${soname} || -e $1/libODPNIDPrvLib.${soname} ]]; then rm $1/libODPNIDPrvLib.${soname}; fi       
      if [[ -L $1/libODPNIDPrvLib.${soname}.$majorver || -e $1/libODPNIDPrvLib.${soname}.$majorver ]]; then rm $1/libODPNIDPrvLib.${soname}.$majorver; fi 
      if [[ -L $1/libODPCCNPrvLib.${soname} || -e $1/libODPCCNPrvLib.${soname} ]]; then rm $1/libODPCCNPrvLib.${soname}; fi 
      if [[ -L $1/libODPCCNPrvLib.${soname}.$majorver || -e $1/libODPCCNPrvLib.${soname}.$majorver ]]; then rm $1/libODPCCNPrvLib.${soname}.$majorver; fi       
      if [[ -L $1/libODPPLicl.${soname} || -e $1/libODPPLicl.${soname} ]]; then rm $1/libODPPLicl.${soname}; fi 
      if [[ -L $1/libODPPLicl.${soname}.$majorver || -e $1/libODPPLicl.${soname}.$majorver ]]; then rm $1/libODPPLicl.${soname}.$majorver; fi 
      if [[ -L $1/libODPPXMLReaderLib.${soname} || -e $1/libODPPXMLReaderLib.${soname} ]]; then rm $1/libODPPXMLReaderLib.${soname}; fi       
      if [[ -L $1/libODPPXMLReaderLib.${soname}.$majorver || -e $1/libODPPXMLReaderLib.${soname}.$majorver ]]; then rm $1/libODPPXMLReaderLib.${soname}.$majorver; fi 
      if [[ -L $1/libODPPTraceLib.${soname} || -e $1/libODPPTraceLib.${soname} ]]; then rm $1/libODPPTraceLib.${soname}; fi 
      if [[ -L $1/libODPPTraceLib.${soname}.$majorver || -e $1/libODPPTraceLib.${soname}.$majorver ]]; then rm $1/libODPPTraceLib.${soname}.$majorver; fi       
      if [[ -L $1/libODPPDataCnvLib.${soname} || -e $1/libODPPDataCnvLib.${soname} ]]; then rm $1/libODPPDataCnvLib.${soname}; fi 
      if [[ -L $1/libODPPDataCnvLib.${soname}.$majorver || -e $1/libODPPDataCnvLib.${soname}.$majorver ]]; then rm $1/libODPPDataCnvLib.${soname}.$majorver; fi 
      if [[ -L $1/libODPPICULib.${soname} || -e $1/libODPPICULib.${soname} ]]; then rm $1/libODPPICULib.${soname}; fi       
      if [[ -L $1/libODPPICULib.${soname}.$majorver || -e $1/libODPPICULib.${soname}.$majorver ]]; then rm $1/libODPPICULib.${soname}.$majorver; fi 
      if [[ -L $1/libODPPEnvLib.${soname} || -e $1/libODPPEnvLib.${soname} ]]; then rm $1/libODPPEnvLib.${soname}; fi 
      if [[ -L $1/libODPPEnvLib.${soname}.$majorver || -e $1/libODPPEnvLib.${soname}.$majorver ]]; then rm $1/libODPPEnvLib.${soname}.$majorver; fi       
      if [[ -L $1/libODPPOSLibUnix.${soname} || -e $1/libODPPOSLibUnix.${soname} ]]; then rm $1/libODPPOSLibUnix.${soname}; fi 
      if [[ -L $1/libODPPOSLibUnix.${soname}.$majorver || -e $1/libODPPOSLibUnix.${soname}.$majorver ]]; then rm $1/libODPPOSLibUnix.${soname}.$majorver; fi     
      if [[ -L $1/libODPPAdapter.${soname} || -e $1/libODPPAdapter.${soname} ]]; then rm $1/libODPPAdapter.${soname}; fi 
      if [[ -L $1/libODPPAdapter.${soname}.$majorver || -e $1/libODPPAdapter.${soname}.$majorver ]]; then rm $1/libODPPAdapter.${soname}.$majorver; fi     
      if [[ -L $1/libODPPParser.${soname} || -e $1/libODPPParser.${soname} ]]; then rm $1/libODPPParser.${soname}; fi 
      if [[ -L $1/libODPPParser.${soname}.$majorver || -e $1/libODPPParser.${soname}.$majorver ]]; then rm $1/libODPPParser.${soname}.$majorver; fi     
      if [[ -L $1/libODPPErrorHandler.${soname} || -e $1/libODPPErrorHandler.${soname} ]]; then rm $1/libODPPErrorHandler.${soname}; fi 
      if [[ -L $1/libODPPErrorHandler.${soname}.$majorver || -e $1/libODPPErrorHandler.${soname}.$majorver ]]; then rm $1/libODPPErrorHandler.${soname}.$majorver; fi     
      if [[ -L $1/libODPPInstMgr.${soname} || -e $1/libODPPInstMgr.${soname} ]]; then rm $1/libODPPInstMgr.${soname}; fi 
      if [[ -L $1/libODPPInstMgr.${soname}.$majorver || -e $1/libODPPInstMgr.${soname}.$majorver ]]; then rm $1/libODPPInstMgr.${soname}.$majorver; fi           
      if [[ -L $1/libODPPConvert.${soname} || -e $1/libODPPConvert.${soname} ]]; then rm $1/libODPPConvert.${soname}; fi 
      if [[ -L $1/libODPPConvert.${soname}.$majorver || -e $1/libODPPConvert.${soname}.$majorver ]]; then rm $1/libODPPConvert.${soname}.$majorver; fi       
	  if [[ -L $1/libODPDSWAPPrvLib.${soname} || -e $1/libODPDSWAPPrvLib.${soname} ]]; then rm $1/libODPDSWAPPrvLib.${soname}; fi 
      if [[ -L $1/libODPDSWAPPrvLib.${soname}.$majorver || -e $1/libODPDSWAPPrvLib.${soname}.$majorver ]]; then rm $1/libODPDSWAPPrvLib.${soname}.$majorver; fi 
      if [[ -L $1/libODPCDSWAPPrvLib.${soname} || -e $1/libODPCDSWAPPrvLib.${soname} ]]; then rm $1/libODPCDSWAPPrvLib.${soname}; fi 
      if [[ -L $1/libODPCDSWAPPrvLib.${soname}.$majorver || -e $1/libODPCDSWAPPrvLib.${soname}.$majorver ]]; then rm $1/libODPCDSWAPPrvLib.${soname}.$majorver; fi 
      if [[ -L $1/libODPDDSWAPPrvLib.${soname} || -e $1/libODPDDSWAPPrvLib.${soname} ]]; then rm $1/libODPDDSWAPPrvLib.${soname}; fi 
      if [[ -L $1/libODPDDSWAPPrvLib.${soname}.$majorver || -e $1/libODPDDSWAPPrvLib.${soname}.$majorver ]]; then rm $1/libODPDDSWAPPrvLib.${soname}.$majorver; fi 	  
      if [[ -L $1/libODPPORAUdf.${soname} || -e $1/libODPPORAUdf.${soname} ]]; then rm $1/libODPPORAUdf.${soname}; fi 
      if [[ -L $1/libODPPORAUdf.$majorver.${soname} || -e $1/libODPPORAUdf.$majorver.${soname} ]]; then rm $1/libODPPORAUdf.$majorver.${soname}; fi           	        
      if [[ -L $1/libIOQMODJNI.$majorver.${soname} || -e $1/libIOQMODJNI.$majorver.${soname} ]]; then rm $1/libIOQMODJNI.$majorver.${soname}; fi           	  
      if [[ -L $1/libIOQMODJNI.${soname}.$majorver || -e $1/libIOQMODJNI.${soname}.$majorver ]]; then rm $1/libIOQMODJNI.${soname}.$majorver; fi           	  
	  if [[ -L $1/libioqoraudf.$majorver.${soname} || -e $1/libioqoraudf.$majorver.${soname} ]]; then rm $1/libioqoraudf.$majorver.${soname}; fi           	  
      if [[ -L $1/libioqoraudf.${soname}.$majorver || -e $1/libioqoraudf.${soname}.$majorver ]]; then rm $1/libioqoraudf.${soname}.$majorver; fi           	  
	  if [[ -L $1/libioqhash.${soname} || -e $1/libioqhash.${soname} ]]; then rm $1/libioqhash.${soname}; fi 
      if [[ -L $1/libioqhash.${soname}.$majorver || -e $1/libioqhash.${soname}.$majorver ]]; then rm $1/libioqhash.${soname}.$majorver; fi 	  	  
	  if [[ -L $1/libODPPLoader.${soname} || -e $1/libODPPLoader.${soname} ]]; then rm $1/libODPPLoader.${soname}; fi 
      if [[ -L $1/libODPPLoader.${soname}.$majorver || -e $1/libODPPLoader.${soname}.$majorver ]]; then rm $1/libODPPLoader.${soname}.$majorver; fi 	 
	  if [[ -L $1/libioqldsoralib.${soname} || -e $1/libioqldsoralib.${soname} ]]; then rm $1/libioqldsoralib.${soname}; fi 
      if [[ -L $1/libioqldsoralib.${soname}.$majorver || -e $1/libioqldsoralib.${soname}.$majorver ]]; then rm $1/libioqldsoralib.${soname}.$majorver; fi
   fi
fi
echo "Creating symbolic links for the ODPP libraries"
if [ "$platform" = "AIX" ]
then
    ln -s libODPProvider.$fullversion.a $1/libODPProvider.$majorver.a
    ln -s libODPPOSLibUnix.$fullversion.a $1/libODPPOSLibUnix.$majorver.a
    ln -s libODPPEnvLib.$fullversion.a $1/libODPPEnvLib.$majorver.a
    ln -s libODPPICULib.$fullversion.a $1/libODPPICULib.$majorver.a
    ln -s libODPPDataCnvLib.$fullversion.a $1/libODPPDataCnvLib.$majorver.a
    if [ -e libODPPConvert.$fullversion.a ]; then ln -s  libODPPConvert.$fullversion.a $1/libODPPConvert.$majorver.a; fi
    ln -s libODPPTraceLib.$fullversion.a $1/libODPPTraceLib.$majorver.a
    ln -s libODPPXMLReaderLib.$fullversion.a $1/libODPPXMLReaderLib.$majorver.a
    ln -s libODPPLicl.$fullversion.a $1/libODPPLicl.$majorver.a
    ln -s libODPCCNPrvLib.$fullversion.a $1/libODPCCNPrvLib.$majorver.a
    ln -s libODPNIDPrvLib.$fullversion.a $1/libODPNIDPrvLib.$majorver.a
    ln -s libODPEMLPrvLib.$fullversion.a $1/libODPEMLPrvLib.$majorver.a
    ln -s libODPCOLPrvLib.$fullversion.a $1/libODPCOLPrvLib.$majorver.a
    ln -s libODPHASHPrvLib.$fullversion.a $1/libODPHASHPrvLib.$majorver.a
    ln -s libODPAGEPrvLib.$fullversion.a $1/libODPAGEPrvLib.$majorver.a
    ln -s libODPPLDSDB2Lib.$fullversion.a $1/libODPPLDSDB2Lib.$majorver.a
    ln -s libODPLKPPrvLib.$fullversion.a $1/libODPLKPPrvLib.$majorver.a
    ln -s libODPPAdapter.$fullversion.a $1/libODPPAdapter.$majorver.a
    ln -s libODPPParser.$fullversion.a $1/libODPPParser.$majorver.a
    ln -s libODPPErrorHandler.$fullversion.a $1/libODPPErrorHandler.$majorver.a
    ln -s libODPPInstMgr.$fullversion.a $1/libODPPInstMgr.$majorver.a
    ln -s libIOQMODJNI.$fullversion.a $1/libIOQMODJNI.$majorver.a   
	ln -s libODPDSWAPPrvLib.$fullversion.a $1/libODPDSWAPPrvLib.$majorver.a
    ln -s libODPCDSWAPPrvLib.$fullversion.a $1/libODPCDSWAPPrvLib.$majorver.a
    ln -s libODPDDSWAPPrvLib.$fullversion.a $1/libODPDDSWAPPrvLib.$majorver.a    
	ln -s libioqhash.$fullversion.a $1/libioqhash.$majorver.a
	ln -s libioqldsoralib.$fullversion.a $1/libioqldsoralib.$majorver.a
	ln -s libODPPLoader.$fullversion.a $1/libODPPLoader.$majorver.a
    if [ -e libODPPORAUdf.$fullversion.a ]
	then 
		ln -s  libODPPORAUdf.$fullversion.a $1/libODPPORAUdf.$majorver.a;
		ln -s  libODPPORAUdf.$fullversion.a $1/libODPPORAUdf.a;
	fi
	if [ -e libioqoraudf.$fullversion.a ]
	then 
		ln -s  libioqoraudf.$fullversion.a $1/libioqoraudf.$majorver.a;
		ln -s  libioqoraudf.$fullversion.a $1/libioqoraudf.a;
	fi
else
   ln -s libODPProvider.${soname}.$fullversion $1/libODPProvider.${soname}.$majorver
   ln -s libODPPOSLibUnix.${soname}.$fullversion $1/libODPPOSLibUnix.${soname}.$majorver
   ln -s libODPPEnvLib.${soname}.$fullversion $1/libODPPEnvLib.${soname}.$majorver
   ln -s libODPPICULib.${soname}.$fullversion $1/libODPPICULib.${soname}.$majorver
   ln -s libODPPDataCnvLib.${soname}.$fullversion $1/libODPPDataCnvLib.${soname}.$majorver
   ln -s libODPPTraceLib.${soname}.$fullversion $1/libODPPTraceLib.${soname}.$majorver
   ln -s libODPPXMLReaderLib.${soname}.$fullversion $1/libODPPXMLReaderLib.${soname}.$majorver
   ln -s libODPPLicl.${soname}.$fullversion $1/libODPPLicl.${soname}.$majorver
   ln -s libODPCCNPrvLib.${soname}.$fullversion $1/libODPCCNPrvLib.${soname}.$majorver
   ln -s libODPNIDPrvLib.${soname}.$fullversion $1/libODPNIDPrvLib.${soname}.$majorver
   ln -s libODPEMLPrvLib.${soname}.$fullversion $1/libODPEMLPrvLib.${soname}.$majorver
   ln -s libODPCOLPrvLib.${soname}.$fullversion $1/libODPCOLPrvLib.${soname}.$majorver
   ln -s libODPHASHPrvLib.${soname}.$fullversion $1/libODPHASHPrvLib.${soname}.$majorver
   ln -s libODPAGEPrvLib.${soname}.$fullversion $1/libODPAGEPrvLib.${soname}.$majorver
   ln -s libODPPLDSDB2Lib.${soname}.$fullversion $1/libODPPLDSDB2Lib.${soname}.$majorver
   ln -s libODPLKPPrvLib.${soname}.$fullversion $1/libODPLKPPrvLib.${soname}.$majorver 
   ln -s libODPPAdapter.${soname}.$fullversion $1/libODPPAdapter.${soname}.$majorver 
   ln -s libODPPParser.${soname}.$fullversion $1/libODPPParser.${soname}.$majorver 
   ln -s libODPPErrorHandler.${soname}.$fullversion $1/libODPPErrorHandler.${soname}.$majorver 
   ln -s libODPPInstMgr.${soname}.$fullversion $1/libODPPInstMgr.${soname}.$majorver    
   ln -s libODPDSWAPPrvLib.${soname}.$fullversion $1/libODPDSWAPPrvLib.${soname}.$majorver
   ln -s libODPCDSWAPPrvLib.${soname}.$fullversion $1/libODPCDSWAPPrvLib.${soname}.$majorver
   ln -s libODPDDSWAPPrvLib.${soname}.$fullversion $1/libODPDDSWAPPrvLib.${soname}.$majorver
   ln -s libioqhash.${soname}.$fullversion $1/libioqhash.${soname}.$majorver
   ln -s libioqldsoralib.${soname}.$fullversion $1/libioqldsoralib.${soname}.$majorver
   ln -s libODPPLoader.${soname}.$fullversion $1/libODPPLoader.${soname}.$majorver
   if [ -e $1/libIOQMODJNI.${soname}.$fullversion ]
   then 
      ln -s  libIOQMODJNI.${soname}.$fullversion $1/libIOQMODJNI.$majorver.${soname};
      ln -s  libIOQMODJNI.${soname}.$fullversion $1/libIOQMODJNI.${soname}.$majorver;
      #remove the ODPP sym link before re-creating it
      if [[ -L $1/libODPProvider.$majorver.${soname} || -e $1/libODPProvider.$majorver.${soname} ]]; then rm $1/libODPProvider.$majorver.${soname}; fi       
      ln -s  libODPProvider.${soname}.$fullversion $1/libODPProvider.$majorver.${soname};
   fi   
   #sym link for libODPProvider with major ver added for Oracle UDF
	if [ -e $1/libODPPORAUdf.${soname}.$fullversion ]
	then 
		ln -s  libODPPORAUdf.${soname}.$fullversion $1/libODPPORAUdf.$majorver.so;
		ln -s  libODPProvider.${soname}.$fullversion $1/libODPProvider.$majorver.${soname};
	fi
	if [ -e $1/libioqoraudf.${soname}.$fullversion ]
	then 
		ln -s  libioqoraudf.${soname}.$fullversion $1/libioqoraudf.$majorver.so;
		ln -s  libioqoraudf.${soname}.$fullversion $1/libioqoraudf.$majorver.${soname};
	fi
	if [ -e $1/libODPPConvert.${soname}.$fullversion ]
	then 
		ln -s  libODPPConvert.${soname}.$fullversion $1/libODPPConvert.${soname}.$majorver; 
	fi
fi


#XML4C Symbolic Links
  
#We will always remove the symbolic link if it exists
#options=$2
options=clean      
if [ "$options" = "clean" ]   
then
   echo "Deleting symbolic links and duplicates for the XML4C libraries"   
   if [ "$platform" = "AIX" ]
   then
      #if [[ -L $1/libicudata.a || -e $1/libicudata.a ]]; then rm $1/libicudata.a; fi 
      if [[ -L $1/libicudata38.a || -e $1/libicudata38.a ]]; then rm $1/libicudata38.a; fi 
      if [[ -L $1/libicui18n.a || -e $1/libicui18n.a ]]; then rm $1/libicui18n.a; fi 
      if [[ -L $1/libicui18n38.a || -e $1/libicui18n38.a ]]; then rm $1/libicui18n38.a; fi 
      #if [[ -L $1/libicuuc.a || -e $1/libicuuc.a ]]; then rm $1/libicuuc.a; fi 
      if [[ -L $1/libicuuc38.a || -e $1/libicuuc38.a ]]; then rm $1/libicuuc38.a; fi 
      if [[ -L $1/libXML4CMessages57.a || -e $1/libXML4CMessages57.a ]]; then rm $1/libXML4CMessages57.a; fi 
      if [[ -L $1/libXML4CMessages.a || -e $1/libXML4CMessages.a ]]; then rm $1/libXML4CMessages.a; fi 
      if [[ -L $1/libxml4c-depdom57.a || -e $1/libxml4c-depdom57.a ]]; then rm $1/libxml4c-depdom57.a; fi 
      if [[ -L $1/libxml4c-depdom.a || -e $1/libxml4c-depdom.a ]]; then rm $1/libxml4c-depdom.a; fi 
      if [[ -L $1/libxml4c57.a || -e $1/libxml4c57.a ]]; then rm $1/libxml4c57.a; fi 
      if [[ -L $1/libxml4c.a || -e $1/libxml4c.a ]]; then rm $1/libxml4c.a; fi       
   else
      #if [[ -L $1/libicudata.${soname} || -e $1/libicudata.${soname} ]]; then rm $1/libicudata.${soname}; fi       
      if [[ -L $1/libicudata.${soname}.38 || -e $1/libicudata.${soname}.38 ]]; then rm $1/libicudata.${soname}.38; fi 
      if [[ -L $1/libicui18n.${soname} || -e $1/libicui18n.${soname} ]]; then rm $1/libicui18n.${soname}; fi 
      if [[ -L $1/libicui18n.${soname}.38 || -e $1/libicui18n.${soname}.38 ]]; then rm $1/libicui18n.${soname}.38; fi       
      #if [[ -L $1/libicuuc.${soname} || -e $1/libicuuc.${soname} ]]; then rm $1/libicuuc.${soname}; fi 
      if [[ -L $1/libicuuc.${soname}.38 || -e $1/libicuuc.${soname}.38 ]]; then rm $1/libicuuc.${soname}.38; fi 
      if [[ -L $1/libxml4c-depdom.${soname}.57 || -e $1/libxml4c-depdom.${soname}.57 ]]; then rm $1/libxml4c-depdom.${soname}.57; fi 
      if [[ -L $1/libxml4c-depdom.${soname} || -e $1/libxml4c-depdom.${soname} ]]; then rm $1/libxml4c-depdom.${soname}; fi       
      if [[ -L $1/libXML4CMessages.${soname}.57 || -e $1/libXML4CMessages.${soname}.57 ]]; then rm $1/libXML4CMessages.${soname}.57; fi       
      if [[ -L $1/libXML4CMessages57.${soname} || -e $1/libXML4CMessages57.${soname} ]]; then rm $1/libXML4CMessages57.${soname}; fi  
      if [[ -L $1/libXML4CMessages.${soname} || -e $1/libXML4CMessages.${soname} ]]; then rm $1/libXML4CMessages.${soname}; fi       
      if [[ -L $1/libxml4c.${soname}.57 || -e $1/libxml4c.${soname}.57 ]]; then rm $1/libxml4c.${soname}.57; fi       
      if [[ -L $1/libxml4c.${soname} || -e $1/libxml4c.${soname} ]]; then rm $1/libxml4c.${soname}; fi             
   fi
fi      
echo "Creating symbolic links for the XML4C libraries"
if [ "$platform" = "AIX" ]
then
   #ln -s libicudata38.1.a $1/libicudata.a
   ln -s libicudata38.1.a $1/libicudata38.a
   ln -s libicui18n38.1.a $1/libicui18n.a
   ln -s libicui18n38.1.a $1/libicui18n38.a
   #ln -s libicuuc38.1.a $1/libicuuc.a  
   ln -s libicuuc38.1.a $1/libicuuc38.a
   ln -s libXML4CMessages57.2.a $1/libXML4CMessages57.a
   ln -s libXML4CMessages57.a $1/libXML4CMessages.a
   ln -s libxml4c-depdom57.2.a $1/libxml4c-depdom57.a
   ln -s libxml4c-depdom57.a $1/libxml4c-depdom.a
   ln -s libxml4c57.2.a $1/libxml4c57.a
   ln -s libxml4c57.a $1/libxml4c.a
else
   #ln -s libicudata.${soname}.38.1 $1/libicudata.${soname}
   ln -s libicudata.${soname}.38.1 $1/libicudata.${soname}.38
   ln -s libicui18n.${soname}.38.1 $1/libicui18n.${soname}
   ln -s libicui18n.${soname}.38.1 $1/libicui18n.${soname}.38
   #ln -s libicuuc.${soname}.38.1 $1/libicuuc.${soname}
   ln -s libicuuc.${soname}.38.1 $1/libicuuc.${soname}.38
   ln -s libxml4c-depdom.${soname}.57.2 $1/libxml4c-depdom.${soname}.57
   ln -s libxml4c-depdom.${soname}.57 $1/libxml4c-depdom.${soname}      
   ln -s libXML4CMessages.${soname}.57.2 $1/libXML4CMessages.${soname}.57
   ln -s libXML4CMessages.${soname}.57 $1/libXML4CMessages57.${soname}      
   ln -s libxml4c.${soname}.57.2 $1/libxml4c.${soname}.57
   ln -s libxml4c.${soname}.57 $1/libxml4c.${soname}
fi

#ICU 4.8 Symbolic Links
  
#We will always remove the symbolic link if it exists
#options=$2
 options=clean      
 if [ "$options" = "clean" ]   
 then
     echo "Deleting symbolic links and duplicates for the ICU 48 libraries"   
     if [ "$platform" = "AIX" ]
     then
        if [[ -L $1/libicudata48.a || -e $1/libicudata48.a ]]; then rm $1/libicudata48.a; fi
        if [[ -L $1/libicuuc48.a || -e $1/libicuuc48.a ]]; then rm $1/libicuuc48.a; fi
        if [[ -L $1/libicudata.a || -e $1/libicudata.a ]]; then rm $1/libicudata.a; fi 
        if [[ -L $1/libicuuc.a || -e $1/libicuuc.a ]]; then rm $1/libicuuc.a; fi 
     else
        if [[ -L $1/libicudata.${soname}.48 || -e $1/libicudata.${soname}.48 ]]; then rm $1/libicudata.${soname}.48; fi 
        if [[ -L $1/libicuuc.${soname}.48 || -e $1/libicuuc.${soname}.48 ]]; then rm $1/libicuuc.${soname}.48; fi 
        if [[ -L $1/libicudata.${soname} || -e $1/libicudata.${soname} ]]; then rm $1/libicudata.${soname}; fi 
        if [[ -L $1/libicuuc.${soname} || -e $1/libicuuc.${soname} ]]; then rm $1/libicuuc.${soname}; fi 
     fi
 fi      

 echo "Creating symbolic links for the ICU 48 libraries"
 if [ "$platform" = "AIX" ]
  then
     ln -s libicudata48.0.a $1/libicudata48.a
     ln -s libicuuc48.0.a $1/libicuuc48.a
     # These symbolic links must point to the 38 version for use with XML4C
     #ln -s libicudata38.1.a $1/libicudata.a
     #ln -s libicuuc38.1.a $1/libicuuc.a       
 else
     # These symbolic links are not required at runtime
     #ln -s libicudata.${soname}.48.0 $1/libicudata.${soname}
     #ln -s libicuuc.${soname}.48.0 $1/libicuuc.${soname}
     ln -s libicudata.${soname}.48.0 $1/libicudata.${soname}.48     
     ln -s libicuuc.${soname}.48.0 $1/libicuuc.${soname}.48
 fi

echo "Setting permissions for the libraries"
chmod 755 $1/libxml4c*
chmod 755 $1/libXML4C*
chmod 755 $1/libicu*
chmod 755 $1/libODP*
chmod 755 $1/libioq*
chmod 755 $1/libIOQ*
echo "Done"
exit 0



